<?xml version="1.0"?>
<configuration>
	<global>
		<dimDns value="ntofproxy-2" />
		<actionsCfg>
			<!-- Example of what we can do to configure actions -->
			<action name="speech">
				<command value="(voice_nitech_us_awb_arctic_hts)" />
			</action>
		</actionsCfg>
	</global>
	<timing service="Timing/event">
		<values>
			<value name="PRIMARY">
				<actions>
					<action name="command" command="echo -ne '\007'&amp;" />
					<!--  <action name="speech">
						<text>Primary beam received with event number </text>
						<variable from="attribute" name="name" xpath="."/>
					</action> -->
				</actions>
			</value>
			<value name="PARASITIC">
				<actions>
					<!-- <action name="speech">
						<text>Primary beam received with event number </text>
						<variable from="attribute" name="name" xpath="."/>
					</action> -->
					<action name="sound" file="sounds/siren.wav" enqueue="0" />
				</actions>
			</value>
			<value name="CALIBRATION">
				<actions>
					<action name="speech">
						<!--  <text>Primary beam received with event number </text> -->
						<variable from="attribute" name="name" xpath="."/>
					</action>
				</actions>
			</value>
		</values>
	</timing>
	<states>
		<state service="EACS/EACSState">
			<all>
				<actions>
					<action name="speech">
						<text>DAQ is </text>
						<variable from="attribute" name="strValue" xpath="." />
						<text>.</text>
					</action>
				</actions>
			</all>
			<default>
				<actions>
					<action name="sound" file="sounds/siren.wav" enqueue="0" />
				</actions>
			</default>
			<values>
				<value enum="1">
					<actions>
						<action name="command" command="echo -ne 'enum1'" />
					</actions>
				</value>
				<value enum="2">
					<actions>
						<action name="command" command="echo -ne 'enum2'" />
					</actions>
				</value>
				<value enum="3">
					<actions>
						<action name="command" command="echo -ne 'enum3'" />
					</actions>
				</value>
				<value enum="4">
					<actions>
						<action name="command" command="echo -ne 'enum4'" />
					</actions>
				</value>
				<value enum="5">
					<actions>
						<action name="command" command="echo -ne 'enum5'" />
					</actions>
				</value>
				<value enum="6">
					<actions>
						<action name="command" command="echo -ne 'enum6'" />
					</actions>
				</value>
				<value enum="7">
					<actions>
						<action name="command" command="echo -ne 'enum7'" />
					</actions>
				</value>
				<value enum="8">
					<actions>
						<action name="command" command="echo -ne 'enum8v'" />
					</actions>
				</value>
			</values>
		</state>
	</states>
	<alarms service="Alarms" lastActive="2000">
		<ignore>
			<alarm ident="DATASET/TOF2_VGR3.PR#__DIP_DEFAULT___max" />
		</ignore>
		<override>
			<alarm ident="DATASET/TOF2_VGR2.PR#__DIP_DEFAULT___max">
				<actions>
					<action name="sound" file="siren.mp3" />
				</actions>
			</alarm>
		</override>
		<default>
			<alarm severity="Info" />
			<alarm severity="Warning">
				<actions>
					<action name="command" command="echo -ne 'WARNING!'" />
				</actions>
			</alarm>
			<alarm severity="Error">
				<actions>
					<action name="command" command="echo -ne 'ERROR!'" />
				</actions>
			</alarm>
			<alarm severity="Critical">
				<actions>
					<action name="command" command="echo -ne 'CRITICAL!'" />
				</actions>
			</alarm>
		</default>
	</alarms>
</configuration>
